Retrieve Payment Token

Get data back for a given `payment_token`. This endpoint returns details about the `payment_token` specified in the URL path. This endpoint can be used to populate information on a user facing dashboard, such as the last 4 of the card(s) on file and the expiration dates. Partners should store expiration dates of cards on file and preemptively encourage users to update their payment methods (using a call to [`update_payment_token`](/api-reference/payment-tokens/update-payment-token)) to avoid the failure scenarios outlined in our [subscriptions guide](/guides/subscriptions/subsequent-billing-periods). ## Request Notes **Path Params:** - **payment_token** (Required): The `payment_token` string provided by the [`payment_token_updated`](/api-reference/payment-tokens/payment-token-updated-webhook) webhook.

Authentication

x-truemed-api-keystring

Sales channel API key for merchant server-to-server authentication

Path parameters

payment_tokenstringRequired
The payment token to get details for

Response

Successful response
created_atstring

ISO 8601 formatted date and time the payment_token was created at.

customer_emailstring

The email address for the customer associated with this payment_token.

customer_namestring

The first and last name of the customer associated with this payment_token.

payment_tokenstring
The payment token identifier.
lmn_expires_atstring or nullOptional

ISO 8601 formatted date when the earliest LMN associated with this payment token expires (inclusive, UTC). Null if no verified LMN exists. Partners should prompt users to re-qualify before this date.

payment_methodslist of objects or nullOptional

An optional array of payment_method objects.

Errors

400
Bad Request Error
404
Not Found Error
405
Method Not Allowed Error
500
Internal Server Error
501
Not Implemented Error